//
//  AppDelegate.h
//  ToDo List
//
//  Created by nPrimary on 5/30/15.
//  Copyright (c) 2015 nPrimary. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreMotion/CoreMotion.h>
#import "F53OSC.h"
#import "OSCManager.h"

@interface AppDelegate : UIResponder <UIApplicationDelegate>{
    CMMotionManager *motionManager;
    OSCManager *oscManager;
}

@property (strong, nonatomic) UIWindow *window;
@property (readonly) CMMotionManager *motionManager;
@property (nonatomic) OSCManager *oscManager;

@property (strong, nonatomic) id<UIApplicationDelegate>delagete;

-(void)setHost:(NSString*)hostName;

@end

