TEMPLATE = app
CONFIG += console
CONFIG -= app_bundle
CONFIG -= qt
CONFIG += c++11


LIBS += -framework CoreAudio -framework CoreFoundation -lpthread



INCLUDEPATH += rtaudio
INCLUDEPATH += oscpack_1_1_0
INCLUDEPATH+= /usr/local/lib


DEFINES += __MACOSX_CORE__

SOURCES += main.cpp \
    rtaudio/RtAudio.cpp \
    ringbuffer.cpp \
    oscpack_1_1_0/osc/OscReceivedElements.cpp \
    oscpack_1_1_0/ip/posix/UdpSocket.cpp \
    oscpack_1_1_0/osc/OscOutboundPacketStream.cpp \
    oscpack_1_1_0/ip/IpEndpointName.cpp \
    oscpack_1_1_0/ip/posix/NetworkingUtils.cpp \
    oscpack_1_1_0/osc/OscTypes.cpp



include(deployment.pri)
qtcAddDeployment()

HEADERS += ringbuffer.h \
    oscpack_1_1_0/osc/OscReceivedElements.h \
    oscpack_1_1_0/osc/OscPacketListener.h \
    oscpack_1_1_0/ip/UdpSocket.h \
    oscpack_1_1_0/ip/NetworkingUtils.h \
    oscpack_1_1_0/ip/UdpSocket.h \
    oscpack_1_1_0/ip/IpEndpointName.h \
    oscpack_1_1_0/osc/OscOutboundPacketStream.h \
    oscpack_1_1_0/osc/OscTypes.h



